Package tigase.component.responses

## Class ResponseManager

- java.lang.Object
- - tigase.component.responses.ResponseManager

-     @Bean(name="responseManager",
            active=true)
      public class ResponseManager
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `ResponseManager.Entry` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `DEFAULT_TIMEOUT` |
    `protected java.util.logging.Logger` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResponseManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkTimeouts()` |
    `protected java.util.Map<java.lang.String,​ResponseManager.Entry>` | `getHandlers()` |
    `java.lang.Runnable` | `getResponseHandler​(Packet element)` | Returns handler for response of sent `<iq/>` stanza.
    `java.lang.String` | `registerResponseHandler​(Packet stanza, java.lang.Long timeout, AsyncCallback callback)` | Register callback for response of sent `<iq/>` stanza.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TIMEOUT

          public static final long DEFAULT_TIMEOUT

      See Also:
        Constant Field Values

    - #### log

          protected final java.util.logging.Logger log

  - ### Constructor Detail

    - #### ResponseManager

          public ResponseManager()

  - ### Method Detail

    - #### checkTimeouts

          public void checkTimeouts()

    - #### getResponseHandler

          public java.lang.Runnable getResponseHandler​(Packet element)

      Returns handler for response of sent `<iq/>` stanza.
      Parameters:
        `element` - response `<iq/>` stanza.
      Returns:
        Runnable object with handler

    - #### registerResponseHandler

          public java.lang.String registerResponseHandler​(Packet stanza,
                                                          java.lang.Long timeout,
                                                          AsyncCallback callback)

      Register callback for response of sent `<iq/>` stanza.
      Parameters:
        `stanza` - sent `<iq/>` stanza.
        `timeout` - timeout. After it method onTimeout() will be called.
        `callback` - callback
      Returns:
        id of stanza

    - #### getHandlers

          protected java.util.Map<java.lang.String,​ResponseManager.Entry> getHandlers()